Debian Bug report logs - #397368
tuxguitar: tuxguitar fails to start

version graph

Package: tuxguitar; Maintainer for tuxguitar is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for tuxguitar is src:tuxguitar.

Reported by: Klaus Reichl <Klaus_Reichl@chello.at>

Date: Mon, 6 Nov 2006 21:33:02 UTC

Severity: grave

Found in version tuxguitar/0.8-2

Fixed in version tuxguitar/0.8-3

Done: Philippe Coval <rzr@users.sf.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Klaus Reichl <Klaus_Reichl@chello.at>, Klaus.Reichl@alcatel.at, Philippe Coval <rzr@users.sf.net>:
Bug#397368; Package tuxguitar. Full text and rfc822 format available.

Acknowledgement sent to Klaus Reichl <Klaus_Reichl@chello.at>:
New Bug report received and forwarded. Copy sent to Klaus Reichl <Klaus_Reichl@chello.at>, Klaus.Reichl@alcatel.at, Philippe Coval <rzr@users.sf.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Klaus Reichl <Klaus_Reichl@chello.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tuxguitar: tuxguitar fails to start
Date: Mon, 06 Nov 2006 22:22:01 +0100
Package: tuxguitar
Version: 0.8-2
Severity: grave

When starting `tuxguitar', it fails with the following backtrack:

bash> tuxguitar 
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/herac/tuxguitar/gui/TuxGuitar (Unsupported major.minor version 49.0)
        at java.lang.ClassLoader.defineClass0(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:274)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)

The problem seems to be in some .jar inconsistency (gtk2.6?,
swt-gtk-3.2 vs. 3.2.1): 

bash> cat `which tuxguitar`
#! /bin/sh
export CLASSPATH=/usr/share/tuxguitar/TuxGuitar.jar:/usr/share/java//swt-gtk-3.2.jar:/usr/share/java//itext.jar:/usr/share/java//gtk2.6.jar
cd /usr/share/tuxguitar 
java -Xms128m -Xmx128m -Djava.library.path=/usr/lib/jni -cp ./share/:/usr/share/tuxguitar/TuxGuitar.jar:/usr/share/tuxguitar/:/usr/share/java//swt-gtk-3.2.jar:/usr/share/java//itext.jar:/usr/share/java//gtk2.6.jar  org.herac.tuxguitar.gui.TuxGuitar $* 

BTW: Saw this also in a ubuntu related forum.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18.1
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages tuxguitar depends on:
ii  libitext-java                 1.4.5-1    Java Library to generate PDF on th
ii  libswt-gtk-3.2-java           3.2.1-2    Standard Widget Toolkit for GTK Ja
ii  libswt-gtk-3.2-jni            3.2.1-2    Standard Widget Toolkit for GTK JN
ii  sun-java5-jre                 1.5.0-08-1 Sun Java(TM) Runtime Environment (

tuxguitar recommends no packages.

-- no debconf information

Best regards,
Klaus
--
Klaus Reichl         email: Klaus_Reichl@chello.at
Danhausergasse 8/16  voice: +43 6991 84 137 94
A-1040 Wien          



Information forwarded to debian-bugs-dist@lists.debian.org, Philippe Coval <rzr@users.sf.net>:
Bug#397368; Package tuxguitar. Full text and rfc822 format available.

Acknowledgement sent to Julian Gabriel Casadesus <julian@casadesus.com.ar>:
Extra info received and forwarded to list. Copy sent to Philippe Coval <rzr@users.sf.net>. Full text and rfc822 format available.

Message #10 received at 397368@bugs.debian.org (full text, mbox):

From: Julian Gabriel Casadesus <julian@casadesus.com.ar>
To: Klaus Reichl <Klaus_Reichl@chello.at>, 397368@bugs.debian.org
Subject: Re: Bug#397368: tuxguitar: tuxguitar fails to start
Date: Mon, 6 Nov 2006 21:18:33 -0300
Hello,

java.lang.UnsupportedClassVersionError (Unsupported major.minor version 49.0)

this is because, the package  has been compiled with a jdk version newer than the one you're using to run it
make sure you are running tuxguitar with jre-1.5 or later

I see, this package requires "sun-java5-jre"... so i think you have installed the required version.. but at the last line of the launcher script,
"java -Xms128m................"  maybe should be better change "java" to "/path/java"..
because you can have installed more than one JVM in your system..

e.g:
---------------------------------------------------------------------------------------------------------
JAVA=/usr/lib/jvm/java-1.5.0-sun/jre/bin/java
${JAVA} -Xms128m -Xmx128m -Djava.library.path=/usr/lib/jni -cp ./share/:/usr/share/tuxguitar/TuxGuitar.jar:/usr/share/tuxguitar/:/usr/share/java//swt-gtk-3.2.jar:/usr/share/java//itext.jar:/usr/share/java//gtk2.6.jar  org.herac.tuxguitar.gui.TuxGuitar $* 
----------------------------------------------------------------------------------------------------------

> Package: tuxguitar
> Version: 0.8-2
> Severity: grave
> 
> When starting `tuxguitar', it fails with the following backtrack:
> 
> bash> tuxguitar 
> Exception in thread "main" java.lang.UnsupportedClassVersionError: org/herac/tuxguitar/gui/TuxGuitar (Unsupported major.minor version 49.0)
>         at java.lang.ClassLoader.defineClass0(Native Method)
>         at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
>         at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
>         at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
>         at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
>         at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
>         at java.security.AccessController.doPrivileged(Native Method)
>         at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
>         at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
>         at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:274)
>         at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
>         at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
> 
> The problem seems to be in some .jar inconsistency (gtk2.6?,
> swt-gtk-3.2 vs. 3.2.1): 
> 
> bash> cat `which tuxguitar`
> #! /bin/sh
> export CLASSPATH=/usr/share/tuxguitar/TuxGuitar.jar:/usr/share/java//swt-gtk-3.2.jar:/usr/share/java//itext.jar:/usr/share/java//gtk2.6.jar
> cd /usr/share/tuxguitar 
> java -Xms128m -Xmx128m -Djava.library.path=/usr/lib/jni -cp ./share/:/usr/share/tuxguitar/TuxGuitar.jar:/usr/share/tuxguitar/:/usr/share/java//swt-gtk-3.2.jar:/usr/share/java//itext.jar:/usr/share/java//gtk2.6.jar  org.herac.tuxguitar.gui.TuxGuitar $* 
> 
> BTW: Saw this also in a ubuntu related forum.
> 
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.18.1
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> 
> Versions of packages tuxguitar depends on:
> ii  libitext-java                 1.4.5-1    Java Library to generate PDF on th
> ii  libswt-gtk-3.2-java           3.2.1-2    Standard Widget Toolkit for GTK Ja
> ii  libswt-gtk-3.2-jni            3.2.1-2    Standard Widget Toolkit for GTK JN
> ii  sun-java5-jre                 1.5.0-08-1 Sun Java(TM) Runtime Environment (
> 
> tuxguitar recommends no packages.
> 
> -- no debconf information
> 
> Best regards,
> Klaus
> --
> Klaus Reichl         email: Klaus_Reichl@chello.at
> Danhausergasse 8/16  voice: +43 6991 84 137 94
> A-1040 Wien          
> 
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Philippe Coval <rzr@users.sf.net>:
Bug#397368; Package tuxguitar. Full text and rfc822 format available.

Acknowledgement sent to Klaus Reichl <Klaus.Reichl@alcatel.at>:
Extra info received and forwarded to list. Copy sent to Philippe Coval <rzr@users.sf.net>. Full text and rfc822 format available.

Message #15 received at 397368@bugs.debian.org (full text, mbox):

From: Klaus Reichl <Klaus.Reichl@alcatel.at>
To: Julian Gabriel Casadesus <julian@casadesus.com.ar>
Cc: Klaus Reichl <Klaus_Reichl@chello.at>, 397368@bugs.debian.org
Subject: Re: Bug#397368: tuxguitar: tuxguitar fails to start
Date: Tue, 7 Nov 2006 13:49:44 +0100
Hallo,

Thanks for the HINT on Java Path.  Help's a bit, however, ...

  bash> tuxguitar
  Exception in thread "main" java.lang.NoClassDefFoundError: org/eclipse/swt/widgets/Layout

Before I start googling in the Evening, maybe you know what this
problem is as well.  Maybe you could do an 
  apt-file search org/eclipse/swt/widgets/Layout
on your system if you're running Debian.

Muchas Gracias,
Klaus



Information forwarded to debian-bugs-dist@lists.debian.org, Philippe Coval <rzr@users.sf.net>:
Bug#397368; Package tuxguitar. Full text and rfc822 format available.

Acknowledgement sent to Julian Gabriel Casadesus <julian@casadesus.com.ar>:
Extra info received and forwarded to list. Copy sent to Philippe Coval <rzr@users.sf.net>. Full text and rfc822 format available.

Message #20 received at 397368@bugs.debian.org (full text, mbox):

From: Julian Gabriel Casadesus <julian@casadesus.com.ar>
To: 397368@bugs.debian.org
Subject: org.eclipse.swt.widgets.Layout
Date: Tue, 7 Nov 2006 14:42:34 -0300
Hi...
org.eclipse.swt.widgets.Layout is an SWT Interface... it should be in the swt.jar..
check where the package: "libswt-gtk-3.2-java" put the "swt-[version].jar"..

this jar should be on the java classpath... "-cp"
this is the classpath you paste at top, check the paths:

-cp ./share/:/usr/share/tuxguitar/TuxGuitar.jar:/usr/share/tuxguitar/:/usr/share/java//swt-gtk-3.2.jar:/usr/share/java//itext.jar:/usr/share/java//gtk2.6.jar



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#397368; Package tuxguitar. Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@users.sf.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 397368@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 397368@bugs.debian.org
Subject: paths
Date: Tue, 07 Nov 2006 20:40:49 +0100
Hi,

Thanks for reporting this issue,
Until I fix it you can workaround it easly  :

apt-get install tuxguitar libswt-gtk-3.2-java libgtk-java

cd /usr/share/tuxguitar

JAVA=/usr/lib/jvm/java-1.5.0-sun/jre/bin/java
CLASSPATH=/usr/share/java/swt-gtk-3.2.1.jar:/usr/share/java/gtk2.8.jar:/usr/share/tuxguitar/

${JAVA} -Xms128m -Xmx128m \
-Djava.library.path=/usr/lib/jni \
-cp ${CLASSPATH}:${JAR} org.herac.tuxguitar.gui.TuxGuitar

Sorry again and check out the upcoming version at mentors.debian.net if 
needed

-- 
# mailto:rzr[a]users.sf.net -- gpg:0x467094BC
# http://rzr.online.fr/contribs.htm -- Libre Software Addict





Information forwarded to debian-bugs-dist@lists.debian.org, Philippe Coval <rzr@users.sf.net>:
Bug#397368; Package tuxguitar. Full text and rfc822 format available.

Acknowledgement sent to Klaus Reichl <Klaus.Reichl@alcatel.at>:
Extra info received and forwarded to list. Copy sent to Philippe Coval <rzr@users.sf.net>. Full text and rfc822 format available.

Message #30 received at 397368@bugs.debian.org (full text, mbox):

From: Klaus Reichl <Klaus.Reichl@alcatel.at>
To: Julian Gabriel Casadesus <julian@casadesus.com.ar>, Philippe Coval <rzr@users.sourceforge.net>
Cc: Klaus Reichl <Klaus_Reichl@chello.at>, 397368@bugs.debian.org
Subject: Re: Bug#397368: tuxguitar: tuxguitar fails to start
Date: Wed, 8 Nov 2006 12:15:22 +0100
Hi Guitar Afficionados,

Thanks for help, I'm posting again because everything is not fixed/clear
yet.  With the fixes below it works (at least in my environment).

Here my resulting /usr/bin/tuxguitar and the reasoning for changes:

* JAVA=...		# As suggested by Julian
* export CLASSPATH=...	# As suggested by Philippe
			# N.B.: /usr/share/tuxguitar is important,
			# otherwise icons & langs are not found.

* removed `cd /usr/share/tuxguitar' which I didn't like anyway (the
  tool should honour my CWD)

* changed $* to "$@" for better quoting results (e.g. " " in files)

Best regards and thanks again,
Klaus

--><-- /usr/bin/tuxguitar --><--
#! /bin/sh

# Hardcode the JAVA version - should be reflected in the package 
# dependencies list 
JAVA=/usr/lib/jvm/java-1.5.0-sun/jre/bin/java

# Setup classpath
# !!! always add /usr/share/tuxguitar to find icons & languages
export CLASSPATH=/usr/share/tuxguitar/TuxGuitar.jar:/usr/share/java//swt-gtk-3.2.1.jar:/usr/share/java//itext.jar:/usr/share/java//gtk2.6.jar:/usr/share/tuxguitar

$JAVA -Xms128m -Xmx128m \
  -Djava.library.path=/usr/lib/jni \
  -cp ${CLASSPATH} org.herac.tuxguitar.gui.TuxGuitar "$@"

--><-- /usr/bin/tuxguitar --><--



Reply sent to Philippe Coval <rzr@users.sf.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Klaus Reichl <Klaus_Reichl@chello.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 397368-close@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 397368-close@bugs.debian.org
Subject: Bug#397368: fixed in tuxguitar 0.8-3
Date: Thu, 09 Nov 2006 19:03:25 -0800
Source: tuxguitar
Source-Version: 0.8-3

We believe that the bug you reported is fixed in the latest version of
tuxguitar, which is due to be installed in the Debian FTP archive:

tuxguitar_0.8-3.diff.gz
  to pool/contrib/t/tuxguitar/tuxguitar_0.8-3.diff.gz
tuxguitar_0.8-3.dsc
  to pool/contrib/t/tuxguitar/tuxguitar_0.8-3.dsc
tuxguitar_0.8-3_all.deb
  to pool/contrib/t/tuxguitar/tuxguitar_0.8-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 397368@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philippe Coval <rzr@users.sf.net> (supplier of updated tuxguitar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  7 Nov 2006 21:40:45 +0100
Source: tuxguitar
Binary: tuxguitar
Architecture: source all
Version: 0.8-3
Distribution: unstable
Urgency: low
Maintainer: Philippe Coval <rzr@users.sf.net>
Changed-By: Philippe Coval <rzr@users.sf.net>
Description: 
 tuxguitar  - Multitrack guitar tablature editor and player (gp3 to gp5)
Closes: 396591 397368
Changes: 
 tuxguitar (0.8-3) unstable; urgency=low
 .
   * classpath now includes swt-gtk-3.2.1 (closes: #397368)
   * removed unecessary dependency on libswt-gtk-3.2-jni (closes: #396591)
   * package architecture is now "all"
Files: 
 a3ba9d6c59c1d1e0b68e92e22c11fcff 728 contrib/sound optional tuxguitar_0.8-3.dsc
 a9407ed4100a88634b3f1a3fc1b148ac 14144 contrib/sound optional tuxguitar_0.8-3.diff.gz
 487cab94b04fc75d0b48e3648cf779dc 873128 contrib/sound optional tuxguitar_0.8-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFU6VHpdwBkPlyvgMRAqjVAJ9MUkhZe4R7qFuiOjH7tnGUN1tdJACdHVZE
4p0Hr8MLbG81YxyQlExUrCg=
=y5KX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 08:47:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:07:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.